Subject: [MIB-DOCTORS] Fwd: Re: [Errata Rejected] RFC3416 (3402)

From: Benoit Claise <[email-masked]>
Date: Sun, 11 Nov 2012 10:56:16 -0500

And here is the answer to the rejected errata.
Any follow up?

Regards, Benoit

-------- Original Message --------
Subject: 	Re: [Errata Rejected] RFC3416 (3402)
Date: 	Fri, 09 Nov 2012 13:11:54 -0500
From: 	Mike Sauve <[email-masked]>
To: 	RFC Errata System <[email-masked]>
CC: 	[email-masked], [email-masked]

On 11/9/2012 11:39 AM, RFC Errata System wrote:

>   --VERIFIER NOTES--
> According to section 4.2 of the ASN.1 spec, the grammar for the value notation is
>
>    ValueDefinition ::= identifier Type "::=" Value

> The current text conforms to this grammar, and the usage in this particular case
> is closely analogous to the example the ASN.1 standard gives in that same
> section.

Refer to ASN.1 spec (ITU-T X.680, 11/2008), found at
http://www.itu.int/rec/dologin_pub.asp?lang=e&id=T-REC-X.680-200811-I!!PDF-E

There is no section 4.2. The term "ValueDefinition" is not found.

> It looks like the submitter wants to change the value definition into a
> type definition, which to me would be inconsistent with how the the SNMP
> specification employs max-bindings.

Actually, I'm just trying to resolve an issue being experienced by users
of net-snmp, which reports an error on that element. Changed as I did,
it parses fine. Maybe it's their problem, maybe not. ASN.1 is not a
plainly written spec. More info by Googling "Bad operator (INTEGER): At
line 73 in /usr/share/mibs/ietf/SNMPv2-PDU"

-- 
Mike

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sun, 11 Nov 2012 20:01:06 +0100

Benoit,

this version of ASN.1 does not apply to SMIv2 since it is newer.
That said, the value assignment syntax did not change. You can
find it in section 16.2 of this never ASN.1 specification

ValueAssignment ::= 
        valuereference
	Type 
	"::=" 
	Value

If NET-SNMP does not get this right, then its a bug in their parser
code not a bug in the specification.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 11 Nov 2012 20:21:11 -0800

Hi -

> From: "Benoit Claise" <[email-masked]>
> To: "MIB Doctors (E-mail)" <[email-masked]>
> Sent: Sunday, November 11, 2012 7:56 AM
> Subject: [MIB-DOCTORS] Fwd: Re: [Errata Rejected] RFC3416 (3402)
>

Note well that SNMP uses the 1987 version of the ASN.1 spec.

In researching my comment, I used the closest thing at hand, CCITT
X.409 from CCITT Red Book (1984) Volume VIII Fascicle VIII.7, which
is *very* close to the ISO 8824-1987 used by the SNMP specification.

The X.680-2008 is a radically different document, even though they
purport to describe very similar things.  (But not the same.  Ask anyone
who suffered through the pain and anguish in ISO/IEC JTC1/SC21
when the "new" ASN.1 came out.)

> line 73 in /usr/share/mibs/ietf/SNMPv2-PDU"

Sounds like a parser bug to me.  The parsers used when this was written
didn't have any trouble with it, and it hand-checks against the grammar.

Randy